//
// ONVIFCameraWideDynamicRange.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraWideDynamicRange: Codable {

    public var currentMode: ONVIFWideDynamicRangeModes
    public var currentValue: Decimal
    public var supportedModes: [ONVIFWideDynamicRangeModes]
    public var supportedRange: ONVIFCameraSettingsRange

    public init(currentMode: ONVIFWideDynamicRangeModes, currentValue: Decimal, supportedModes: [ONVIFWideDynamicRangeModes], supportedRange: ONVIFCameraSettingsRange) {
        self.currentMode = currentMode
        self.currentValue = currentValue
        self.supportedModes = supportedModes
        self.supportedRange = supportedRange
    }

    public enum CodingKeys: String, CodingKey { 
        case currentMode = "current_mode"
        case currentValue = "current_value"
        case supportedModes = "supported_modes"
        case supportedRange = "supported_range"
    }

}
